For the complete documentation index, see llms.txt. This page is also available as Markdown.

Ncua5300

Perform various operations for Symitar parameters.

Symitar eDocs References: Coming soon.

Operations

getNcua5300

post

Retrieve Ncua5300 parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/getNcua5300
POST /nexum/627/2022.01/parameter/getNcua5300 HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 135

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Ncua5300": {
    "RecordChangeDate": "2010-05-08"
  },
  "MessageId": "getNcua5300"
}

getNcua5300SelectFields

post

Retrieve Ncua5300 parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/getNcua5300SelectFields
POST /nexum/627/2022.01/parameter/getNcua5300SelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 243

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "SelectableFields": {
    "Ncua5300Fields": {
      "CashonHand": true,
      "RegularShares": true,
      "TotalAllOtherLoans": true
    }
  }
}
200

Successful operation.

{
  "Ncua5300": {
    "CashonHand": "NONE",
    "RegularShares": "NONE",
    "TotalAllOtherLoans": "NONE"
  },
  "MessageId": "getNcua5300SelectFields"
}

updateNcua5300ByID

post

Update Ncua5300 parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/updateNcua5300ByID
POST /nexum/627/2022.01/parameter/updateNcua5300ByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 202

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "Ncua5300UpdatableFields": {
    "Type": 0,
    "Description": "NEXUM EXAMPLE"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "updateNcua5300ByID"
}

Last updated

Was this helpful?